# Manipulation d'image et de vidéo à l'aide d'outils en ligne de commandes et de scripts

## Introduction

Pourquoi utiliser la ligne de commande pour manipuler des images ou des vidéos ?

![](flickr/47151962531_9b9c400b47_z.jpg)

"[Girl blowing question marks...](https://www.flickr.com/photos/79157069@N03/47151962531/)" ([CC BY 2.0](https://creativecommons.org/licenses/by/2.0/)) by [Matthew Paul Argall](https://www.flickr.com/people/79157069@N03/)

## Introduction

- Télécharger des images ou des vidéos depuis une page web
- Pour pouvoir effectuer des traitements massifs sur des images
    - Ajout d'un logo sur des photos
    - Redimensionnement
    - Conversion dans un autre format de fichier
    - Application de filtres
    - Mosaique
- Pour créer des animations gif
- Extraire une section d'un vidéo
- Pour faire un montage de plusieurs vidéos

## Les outils

### ImageMagick

Imagemagick sert à créer, modifier, composer et convertir des images matricielles (bitmaps). C'est un logiciel libre sous une licence permissive de type [BSD 2Clause](https://spdx.org/licenses/BSD-2-Clause.html)

- [Site officiel](http://www.imagemagick.org/)

### FFmpeg

FFmpeg permet d'enregistrer, de convertir, de diffuser de l'audio et de la vidéo. Il est disponible sous la licence LGPL.

- [Site officiel](https://ffmpeg.org/legal.html)

### Inkscape

Inkscape est un logiciel bien connu pour éditer graphiquement des images vectorielles. Mais, il est aussi possible de l'utiliser depuis la ligne de commande.

- [Site officiel](https://inkscape.org/)
